﻿@page
@model Website.Pages.category.EditModel
@using Entities
@{
    ViewData["Title"] = "Edit Category";
}

<div class="row text-start">
    <p>
        <a href="/" class="link-primary text-decoration-none">Home</a>
        >
        <a href="/category" class="link-primary text-decoration-none">Category</a>
        >
        <a href="/category/edit?id=@Model.category.ID" class="link-primary text-decoration-none">Edit</a>
    </p>
</div>
<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="col-sm-6 text-start fw-bold">Category attributes</p>
        @if (Model.IsEdited)
        {
            if (string.IsNullOrEmpty(Model.StrInfo))
            {
                <p class="col-sm-6 text-end text-success fw-bold">Edited category successfully</p>
            }
            else
            {
                <p class="col-sm-6 text-end text-danger fw-bold">@Model.StrInfo</p>
            }
        }
    </div>

    <form class="row g-3 mb-2" method="post">
        <div class="col-md-4">
            <label for="id" class="form-label">Category ID</label>
            <input class="form-control" type="text" id="id" name="id" value="@Model.category.ID" placeholder="Category ID" maxlength="30" required>
        </div>
        <div class="col-md-4">
            <label for="name" class="form-label">Category Name</label>
            <input class="form-control" type="text" id="name" name="name" value="@Model.category.Name" placeholder="Category Name" maxlength="30" required>
        </div>
        <div class="col-md-4 d-sm-flex align-items-end justify-content-end pb-1">
            <input class="btn btn-sm btn-warning text-light" type="submit" value="Edit">
        </div>
    </form>
</div>

<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="text-start fw-bold">Current category attributes</p>
    </div>
    <div class="text-center table_section">

        <table class="table table-bordered table-striped table-hover align-middle">
            <thead>
                <tr>
                    <th>Category ID</th>
                    <th>Category Name</th>
                </tr>
            </thead>

            <tbody>
                <tr>
                    <td>@Model.category.ID</td>
                    <td>@Model.category.Name</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
